Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1387732

Summary: On raspberrypi logs flooded with alloc_contig_range warning
Product: [Fedora] Fedora Reporter: Sam Tygier <samtygier>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: gansalmon, ichavero, itamar, jonathan, kernel-maint, madhu.chinakonda, mchehab, pbrobinson, samtygier, wuicylucy
Target Milestone: ---   
Target Release: ---   
Hardware: armv7hl   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-12-04 22:48:07 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 245418    

Description Sam Tygier 2016-10-21 17:08:58 UTC
Description of problem:
On rasberrypi2 running F25 beta (installed from Fedora-Workstation-armhfp-25_Beta-1.1-sda.raw.xz) the logs get filled with warnings, about 1000 per hour.

Oct 21 17:36:34 sampi kernel: alloc_contig_range: [21400, 2150a) PFNs busy
Oct 21 17:36:34 sampi kernel: alloc_contig_range: [21500, 2160a) PFNs busy
Oct 21 17:36:36 sampi kernel: alloc_contig_range: [21400, 2150a) PFNs busy
Oct 21 17:36:36 sampi kernel: alloc_contig_range: [21500, 2160a) PFNs busy
Oct 21 17:36:36 sampi kernel: alloc_contig_range: [21400, 21526) PFNs busy
Oct 21 17:36:36 sampi kernel: alloc_contig_range: [21400, 21511) PFNs busy
Oct 21 17:36:40 sampi kernel: alloc_contig_range: [200b0, 200b2) PFNs busy

I think it is triggered by network activity.

Version-Release number of selected component (if applicable):
Linux version 4.8.2-300.fc25.armv7hl

How reproducible:
Always

Steps to Reproduce:
1. Install F25 beta to a raspberrypi2
2. Check logs

Additional info:
I think the raspbian kernels have this patch to remove the message:
 
https://github.com/raspberrypi/linux/pull/1539/commits/b873143029c0d1f35358b2c23d240e5ca8eac37b

Comment 1 Peter Robinson 2017-02-16 10:55:22 UTC
> I think it is triggered by network activity.

No, it's triggered by the vc4 display driver. It's not really a major issue as it's more informational than a bug. I think it might be fixed in 4.9.10 so you might like to retest with that.

Comment 2 Fedora End Of Life 2017-11-16 18:46:27 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 wuicylucy 2022-05-27 06:53:25 UTC Comment hidden (spam)
Comment 4 Sam Tygier 2022-05-31 06:46:03 UTC
clearing needinfo from spammer